Get deposit limits for a funding source
curl --request GET \
--url https://platform.spritz.finance/v1/funding-sources/{fundingSourceId}/deposit-limits \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.spritz.finance/v1/funding-sources/{fundingSourceId}/deposit-limits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.spritz.finance/v1/funding-sources/{fundingSourceId}/deposit-limits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.spritz.finance/v1/funding-sources/{fundingSourceId}/deposit-limits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://platform.spritz.finance/v1/funding-sources/{fundingSourceId}/deposit-limits"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://platform.spritz.finance/v1/funding-sources/{fundingSourceId}/deposit-limits")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform.spritz.finance/v1/funding-sources/{fundingSourceId}/deposit-limits")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"minimumDepositAmountUsd": "10.00",
"transactionLimitUsd": "750.00",
"limitsByPriority": {
"normal": {
"available": true,
"minAmountUsd": "10.00",
"minRequestedAmountUsd": "12.00",
"maxAmountUsd": "742.57",
"reason": "minimum_deposit",
"suggestedAction": "auto_ramp",
"clearsAt": "2026-08-24T15:00:00.000Z",
"clearsAtIsEstimate": true
},
"high": {
"available": true,
"maxAmountUsd": "0.00",
"maxEarlyReleaseAmountUsd": "0.00",
"reason": "not_available",
"suggestedAction": "auto_ramp",
"clearsAt": "2026-08-24T15:00:00.000Z",
"clearsAtIsEstimate": true
}
}
}{
"title": "Unauthorized",
"status": 401,
"type": "urn:problem-type:auth:unauthorized",
"detail": "Bearer token required",
"instance": "<string>",
"realm": "API",
"scope": "read:users"
}{
"title": "<string>",
"status": 404,
"resourceType": "user",
"resourceId": "<string>",
"type": "about:blank",
"detail": "<string>",
"instance": "<string>"
}{
"title": "Unauthorized",
"status": 400,
"type": "urn:problem-type:auth:unauthorized",
"detail": "<string>",
"instance": "/errors/1234567890",
"code": "transaction_limit",
"field": "amountUsd",
"retryable": true,
"retryAfter": 5,
"suggestedAction": "auto_ramp",
"clearsAt": "2023-11-07T05:31:56Z",
"availableAt": "2023-11-07T05:31:56Z",
"permanent": true
}Funding Sources
Get deposit limits for a funding source
Returns the authenticated user’s current ACH debit limits and remaining capacity for this funding source.
GET
/
v1
/
funding-sources
/
{fundingSourceId}
/
deposit-limits
Get deposit limits for a funding source
curl --request GET \
--url https://platform.spritz.finance/v1/funding-sources/{fundingSourceId}/deposit-limits \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.spritz.finance/v1/funding-sources/{fundingSourceId}/deposit-limits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.spritz.finance/v1/funding-sources/{fundingSourceId}/deposit-limits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.spritz.finance/v1/funding-sources/{fundingSourceId}/deposit-limits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://platform.spritz.finance/v1/funding-sources/{fundingSourceId}/deposit-limits"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://platform.spritz.finance/v1/funding-sources/{fundingSourceId}/deposit-limits")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform.spritz.finance/v1/funding-sources/{fundingSourceId}/deposit-limits")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"minimumDepositAmountUsd": "10.00",
"transactionLimitUsd": "750.00",
"limitsByPriority": {
"normal": {
"available": true,
"minAmountUsd": "10.00",
"minRequestedAmountUsd": "12.00",
"maxAmountUsd": "742.57",
"reason": "minimum_deposit",
"suggestedAction": "auto_ramp",
"clearsAt": "2026-08-24T15:00:00.000Z",
"clearsAtIsEstimate": true
},
"high": {
"available": true,
"maxAmountUsd": "0.00",
"maxEarlyReleaseAmountUsd": "0.00",
"reason": "not_available",
"suggestedAction": "auto_ramp",
"clearsAt": "2026-08-24T15:00:00.000Z",
"clearsAtIsEstimate": true
}
}
}{
"title": "Unauthorized",
"status": 401,
"type": "urn:problem-type:auth:unauthorized",
"detail": "Bearer token required",
"instance": "<string>",
"realm": "API",
"scope": "read:users"
}{
"title": "<string>",
"status": 404,
"resourceType": "user",
"resourceId": "<string>",
"type": "about:blank",
"detail": "<string>",
"instance": "<string>"
}{
"title": "Unauthorized",
"status": 400,
"type": "urn:problem-type:auth:unauthorized",
"detail": "<string>",
"instance": "/errors/1234567890",
"code": "transaction_limit",
"field": "amountUsd",
"retryable": true,
"retryAfter": 5,
"suggestedAction": "auto_ramp",
"clearsAt": "2023-11-07T05:31:56Z",
"availableAt": "2023-11-07T05:31:56Z",
"permanent": true
}Authorizations
bearerAuthintegratorJwtbearerAuth & hmacAuth & integratorKey & timestamp
Path Parameters
Response
Current ACH debit limits and remaining capacity for the authenticated user on this funding source.
Current ACH debit limits and remaining capacity for the authenticated user on this funding source.